package com.logicbig.example;

public class MyProcessor {
    private MyService myService;

    public MyProcessor(MyService myService) {
        this.myService = myService;
    }

    public String process() {
        int returnInteger = myService.doSomething();
        return String.format("My Integer is: " + returnInteger);
    }

    public String process2() throws Exception {
        int returnInteger = myService.doSomething2();
        return String.format("My Integer is: " + returnInteger);

    }

    public String process3() {
        try {
            int returnInteger = myService.doSomething2();
            return String.format("My Integer is: " + returnInteger);
        } catch (Exception e) {
            System.out.println("-- exception thrown in MyProcess --");
            return "default-value";
        }
    }
}