package com.logicbig.example;

import junit.framework.TestCase;
import org.junit.Assert;
import org.junit.Test;
import org.mockito.Mockito;

public class ProcessorTest2 {

    @Test
    public void processTest() throws Exception {
        MyService myService = Mockito.mock(MyService.class);
        Mockito.when(myService.doSomething2()).thenThrow(new Exception("Cannot process"));
        MyProcessor myProcessor = new MyProcessor(myService);
        try {
            String returnedValue = myProcessor.process2();
            TestCase.fail();
        }catch (Throwable e){
            System.out.println("-- exception thrown --");
            Assert.assertTrue(e instanceof Exception);
            Assert.assertEquals(e.getMessage(), "Cannot process");
        }

    }
}