package com.logicbig.example;

import junit.framework.TestCase;
import org.junit.Assert;
import org.junit.Test;
import org.mockito.Mockito;

public class ProcessorTest3 {

    @Test
    public void processTest() throws Exception {
        MyService myService = Mockito.mock(MyService.class);
        Mockito.when(myService.doSomething2()).thenThrow(new Exception("Cannot process"));
        MyProcessor myProcessor = new MyProcessor(myService);
        String returnedValue = myProcessor.process3();
        Assert.assertEquals(returnedValue, "default-value");
    }
}