package com.logicbig.example;

import junit.framework.TestCase;
import org.junit.Assert;
import org.junit.Test;
import org.mockito.Mockito;

public class ProcessorTest4 {

    @Test
    public void processTest() {
        MyService myService = Mockito.mock(MyService.class);
        Mockito.doThrow(new RuntimeException("Cannot process")).when(myService).doSomething();
        MyProcessor myProcessor = new MyProcessor(myService);
        try {
            String returnedValue = myProcessor.process();
            TestCase.fail();
        }catch (Exception e){
            System.out.println("-- exception thrown --");
            Assert.assertTrue(e instanceof RuntimeException);
            Assert.assertEquals(e.getMessage(), "Cannot process");
        }

    }
}